Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87579 - kickstart ftp installs can't take user@domain.com passwords
Summary: kickstart ftp installs can't take user@domain.com passwords
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-29 04:01 UTC by Damian Menscher
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-18 20:46:28 UTC


Attachments (Terms of Use)

Description Damian Menscher 2003-03-29 04:01:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I tried a kickstart install over FTP.  The server supports anonymous FTP, so I
gave it a username of "ftp" and a password of "username@domain.com".

The installer got confused since it translates this as something like
   ftp:username@domain.com@ftp.server.com
and then tries to nslookup a machine named "domain.com@ftp.server.com".

Since some FTP servers really check for a "valid" email address, this should
probably be fixed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create kickstart file with FTP user/pass of ftp/user@domain.com
2.
3.
    

Additional info:

Comment 1 Jeremy Katz 2003-04-02 05:13:11 UTC
Does it work if you use %40 instead of the literal '@'?

Comment 2 Michael Fulbright 2003-06-18 20:46:28 UTC
Closing due to inactivity - please reopen if you have additional information to add.


Note You need to log in before you can comment on or make changes to this bug.